##### Client_Loc_Rot.py
#
# Car is Server, Car1 is Client
#
# SEND Car1 Location and Rotation /  RECEIVE Car Location and Rotation
#
####################################################
from socket import *
from cPickle import *

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

if owner['OneTime'] == 0:
	ServerIP = GameLogic.IP
	Serverport = 10000
	Clientname = ''
	ClientPort = 10001
	GameLogic.sClient = socket(AF_INET,SOCK_DGRAM)
	GameLogic.sClient.bind((Clientname,ClientPort))
	GameLogic.host = (ServerIP,Serverport)	
	GameLogic.sClient.setblocking(0)
	owner['OneTime'] = 1
	
PosYou = owner.position
OriYou = owner.orientation

# get current scene
scene = GameLogic.getCurrentScene()

# get list of objects in scene
objList = scene.objects

# get object named Car and Car1
Server = objList["OBCar"]

# Set default position
PosServer = [0,0,0]
OriServer = [[0,0,0],[0,0,0],[0,0,0]]


#------------RECEIVE/SEND--------------#	

Data = dumps((PosYou,OriYou))
GameLogic.sClient.sendto(Data,GameLogic.host)

try:
	Data, SRIP = GameLogic.sClient.recvfrom(1024)
	UPData = loads(Data)

	PosServer = [UPData[0][0],UPData[0][1],UPData[0][2]]
	OriServer = [UPData[1][0],UPData[1][1],UPData[1][2]]

	Server.position = (PosServer)
	Server.orientation = (OriServer)

except:
	pass			
#---------------THE-END----------------#
